# LibBabelo

A string obfuscation library for small strings that produces a case-insensitive, ascii compliant, gibberish

## How to use it

```js
import { encode, decode } from '@gitboerlage/libbabelo'

const data = 'Hello World';

let encoded = encode(data);
let decoded = decode(encoded);

console.log(encoded) // zs4b45k0zsbjm5gr
console.log(decoded) // Hello World
```
