const createEncoding = (alphabet, mappingOverrides = {}) => {
    for (const [i, c] of Array.from(alphabet).entries()) {
        if (!(c in mappingOverrides))
            mappingOverrides[c] = i;
    }
    return {
        alphabet,
        mapping: mappingOverrides,
    };
};
export const crockford = createEncoding("0123456789ABCDEFGHJKMNPQRSTVWXYZ", {
    O: 0,
    I: 1,
    L: 1
});
